<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Cửa hàng Pizza 365 v1.9</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" />
</head>

<body>
  <div>
    <nav class="navbar fixed-top navbar-light bg-warning">
      <div class="col-sm-3 text-center">
        <a>Home</a>
      </div>
      <div class="col-sm-3 text-center">
        <a>Compo</a>
      </div>
      <div class="col-sm-3 text-center">
        <a>Pizza Type</a>

      </div>
      <div class="col-sm-3 text-center">
        <a>Send Order</a>
      </div>

    </nav>
  </div>
  <br>
  <br>
  <div>
    <div> Thông tin khuyến mãi</div>
    <div>
      <p id="p-promotion" style="font-size: 30px; color:red">...</p>
    </div>
  </div>
  <br>
  <div class="col-sm-12" style="color:orangered">
    <h1><b>Pizza 365</b></h1>
    <p style="font-style: italic">Truly italian!</p>
  </div>
  <!--Carousel-->
  <div class="col-sm-12">
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
      <ol class="carousel-indicators">
        <li data-target="#carouselExampleIndicators" data-slide-to="0" class=""></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="1" class=""></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="2" class="active"></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="3" class=""></li>

      </ol>
      <div class="carousel-inner">
        <div class="carousel-item">
          <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
        </div>
        <div class="carousel-item">
          <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
        </div>
        <div class="carousel-item active">
          <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
        </div>
        <div class="carousel-item">
          <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Four slide">
        </div>
      </div>
      <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
      </a>
      <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
      </a>
    </div>
  </div>
  <br>
  <div class="col-sm-12 text-center p-4 mt-4" style="color:orangered">
    <h2><b class=" border-bottom">Tại sao lại Pizza 365</b></h2>
  </div>
  <div class="col-sm-12">
    <div class="row">
      <div class="col-sm-3 p-4  border border-warning" style="background-color:lightgoldenrodyellow">
        <h3 class="p-2">Đa dạng</h3>
        <p class="p-2">Số lượng Pizza đa dạng, có đầy đủ các loại Pizza đang hot nhất hiện nay
        </p>
      </div>
      <div class="col-sm-3 p-4  border border-warning" style="background-color:yellow">
        <h3 class="p-2">Chất lượng</h3>
        <p class="p-2">Nguyên liệu sạch 100%, rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm
        </p>
      </div>
      <div class="col-sm-3 p-4  border border-warning" style="background-color:lightsalmon">
        <h3 class="p-2">Hương vị</h3>
        <p class="p-2">Đảm bảo hương vị ngon độc lạ mà các bạn chỉ có thể trải nghiệm tại Pizza 365</p>
      </div>
      <div class="col-sm-3 p-4  border border-warning" style="background-color:orange">
        <h3 class="p-2">Dịch vụ</h3>
        <p class="p-2">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh chóng, chất lượng, tân tiến.</p>
      </div>
    </div>
  </div>
  <br>
  <div class="col-sm-12 text-center p-4 mt-4" style="color:orangered">
    <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
    <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
  </div><br>

  <div class="col-sm-12">
    <div class="row">
      <div class="col-sm-4">
        <div class="card">
          <div class="card-header text-center" style="background-color:orange">
            <h3>S ( Small size)</h3>
          </div>
          <div class="card-body text-center">
            <ul class="list-group list-group-flush">
              <li class="list-group-item">
                Đường kính <b> 20 cm</b>
              </li>
              <li class="list-group-item">Sườn nướng <b>2</b></li>
              <li class="list-group-item">Salad <b>200 gr</b></li>
              <li class="list-group-item">Nước ngọt <b>2</b></li>
              <li class="list-group-item">
                <h1>VND <b>150,000</b></h1>
              </li>
            </ul>
          </div>
          <div class="card-footer text-center">
            <button class="col-sm-12 btn btn-warning" id="btn-small" data-is-selected-menu="N">
              <b>Chọn</b>
            </button>
          </div>
        </div>
      </div>
      <div class="col-sm-4">
        <div class="card">
          <div class="card-header text-center" style="background-color:rgb(238, 178, 67)">
            <h3>M (Medium size)</h3>
          </div>
          <div class="card-body text-center">
            <ul class="list-group list-group-flush">
              <li class="list-group-item">
                Đường kính <b> 25 cm</b>
              </li>
              <li class="list-group-item">Sườn nướng <b>4</b></li>
              <li class="list-group-item">Salad <b> 300 gr</b></li>
              <li class="list-group-item">Nước ngọt <b>3</b></li>
              <li class="list-group-item">
                <h1>VND <b>200,000</b></h1>
              </li>
            </ul>
          </div>
          <div class="card-footer text-center">
            <button class="col-sm-12 btn btn-warning" id="btn-medium" data-is-selected-menu="N">
              <b>Chọn</b>
            </button>
          </div>
        </div>
      </div>
      <div class="col-sm-4">
        <div class="card">
          <div class="card-header text-center" style="background-color:orange">
            <h3>L ( Large size )</h3>
          </div>
          <div class="card-body text-center">
            <ul class="list-group list-group-flush">
              <li class="list-group-item">
                Đường kính <b> 30 cm</b>
              </li>
              <li class="list-group-item">Sườn nướng <b>8</b></li>
              <li class="list-group-item">Salad <b> 500 gr</b></li>
              <li class="list-group-item">Nước ngọt <b>4</b></li>
              <li class="list-group-item">
                <h1>VND <b>250,000</b></h1>
              </li>
            </ul>
          </div>
          <div class="card-footer text-center">
            <button class="col-sm-12 btn btn-warning" id="btn-large" data-is-selected-menu="N">
              <b>Chọn</b>
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm-12 text-center p-4 mt-4" style="color:orange">
    <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
  </div>
  <br>
  <div class="col-sm-12">
    <div class="row">
      <div class="col-sm-4">
        <div class="card w-100" style="width: 18rem">
          <img src="images/pizza_type_1.jpg" class="card-img-top">
          <div class="card-body">
            <h4><b> OCEAN MANIA</b></h4>
            <p>PIZZA HẢI SẢN XỐT MAYONAISE</p>
            <p>
              Sốt cà chua, Phô mai Mazzarella, Tôm, Mực, Thanh Cua, Hành tây
            </p>
            <p>
              <button class="btn btn-warning w-100" id="btn-ocean" data-is-selected-pizza="N">
                <b>Chọn</b>
              </button>
            </p>
          </div>
        </div>
      </div>
      <div class="col-sm-4">
        <div class="card w-100" style="width: 18rem">
          <img src="images/pizza_type_2.jpg" class="card-img-top">
          <div class="card-body">
            <h4><b>HAWAIIAN</b></h4>
            <p>PIZZA JAMBON DỨA KIỂU HAWAII</p>
            <p>
              Sốt cà chua, Phô Mai Mozzarella, thịt Jambon, Thơm
            </p>
            <p>
              <button class="btn btn-warning w-100" id="btn-hawaii" data-is-selected-pizza="N">
                <b>Chọn</b>
              </button>
            </p>
          </div>
        </div>
      </div>
      <div class="col-sm-4">
        <div class="card w-100" style="width: 18rem">
          <img src="images/pizza_type_3.jpg" class="card-img-top">
          <div class="card-body">
            <h4><b>CHEESY CHICKEN BACON</b></h4>
            <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
            <p>
              Sốt Cà chua, Phô mai Mozzarella, Thịt Gà, Thịt Heo muối
            </p>
            <p>
              <button class="btn btn-warning w-100" id="btn-bacon" data-is-selected-pizza="N">
                <b>Chọn</b>
              </button>
            </p>
          </div>
        </div>
      </div>
    </div>
  </div><br>
  <div class="row form-group" style="color:orange">
    <label class="col-md-12 col-form-label text-center">
      <h3><b>Chọn đồ uống</b></h3>
    </label>
    <div class="col-md-12">
      <select id="select-drink" class="form-control">
        <option value="0">-- Chọn đồ uống --</option>
        <option value="undefined">Trà tắc</option>
        <option value="undefined">Cocacola</option>
        <option value="undefined">Pepsi</option>
        <option value="undefined">Lavie</option>
        <option value="undefined">Trà sữa trân châu</option>
        <option value="undefined">Fanta</option>
      </select>
    </div>
  </div>
  <div id="order-info" class="col-sm-12">

    <div class="col-sm-12 text-center p-4 mt-4" style="color:orange">
      <h2><b class="p-2 border-bottom">Gửi Đơn Hàng</b></h2>
    </div>

    <!-- Content Input Order Info -->
    <div class="col-sm-12">
      <div class="row form-group">
        <div class="col-sm-12">
          <div class="form-group">
            <label for="inp-name">Họ và tên</label>
            <input type="text" class="form-control" id="inp-name" placeholder="Họ và tên">
          </div>
          <div class="form-group">
            <label for="email">Email</label>
            <input type="text" class="form-control" id="inp-email" placeholder="Email">
          </div>
          <div class="form-group">
            <label for="inp-phone">Điện thoại</label>
            <input type="text" class="form-control" id="inp-phone" placeholder="Điện thoại">
          </div>
          <div class="form-group">
            <label for="inp-address">Địa chỉ</label>
            <input type="text" class="form-control" id="inp-address" placeholder="Địa chỉ">
          </div>
          <div class="form-group">
            <label for="message">Lời nhắn</label>
            <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
          </div>
          <div class="form-group">
            <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
            <input type="text" class="form-control" id="inp-voucher" placeholder="Mã voucher...">
          </div>
          <button type="button" class="btn btn-warning w-100" id="btn-makeOrder">
            <b>Gửi</b>
          </button>

        </div>
      </div>
    </div>
  </div>
  <div class="col-sm-12 bg-warning">
    <div class="col-sm-12 text-center"><b>Footer</b></div>
    <div class="col-sm-12 text-center">
      <button class="btn btn-dark"><i class="fa fa-arrow-up"></i>To the top</button>
    </div>
    <div class="col-sm-12 text-center"><i class="fa fa-facebook-official" aria-hidden="true"></i>&nbsp;
      <i class="fa fa-twitter-square" aria-hidden="true"></i>&nbsp;
      <i class="fa fa-instagram" aria-hidden="true"></i>&nbsp;
    </div>
    <div class="col-sm-12 text-center">C@py Right And Power by DEVCAMP</div>
  </div>
  <br><br>
  <!----Modal Customer Info-->
  <div id="customer-modal" class="modal fade" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Thông tin đơn hàng...!</h5>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">

          <div class="col-sm-12">
            <div class="form-group">
              <label for="inp-cus-name">Họ và tên</label>
              <input type="text" class="form-control" id="inp-name-modal" placeholder="Họ và tên">
            </div>
            <div class="form-group">
              <label for="inp-cus-phone">Điện thoại</label>
              <input type="text" class="form-control" id="inp-phone-modal" placeholder="Điện thoại">
            </div>
            <div class="form-group">
              <label for="inp-cus-address">Địa chỉ</label>
              <input type="text" class="form-control" id="inp-address-modal" placeholder="Địa chỉ">
            </div>
            <div class="form-group">
              <label for="message">Lời nhắn</label>
              <input type="text" class="form-control" id="inp-message-modal" placeholder="Lời nhắn">
            </div>
            <div class="form-group">
              <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
              <input type="text" class="form-control" id="inp-voucher-modal" placeholder="Mã voucher...">
            </div>
            <div class="form-group">
              <label for="cus-detail">Thông tin chi tiết</label>
              <p type="text" class="border bordered" id="inp-detail-modal"></p>
            </div>
          </div>
        </div>
      
        <div class="modal-footer">
          <div class="container">
            <div class="row form-group">
              <div class="col-sm-6">
                <button id='btn-taoDon' class='btn btn-warning w-100'>Tạo đơn</button>
              </div>
              <div class="col-sm-6">
                <button id='btn-quayLai' class='btn btn-danger w-100'>Quay lại</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
    <!----Phần Div Modal  khi gọi server tạo đơn hàng sẽ hiện lên-->
   


    <div id="modal-order-code" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                 
              </div>
              <div class="modal-body" >
                <div  class="container bg-warning p-2 jumbotron" style="border-width:16pt; border-style:solid; border-color:grey">
                  <div class="text-center p-3" >
                    <h3> Cảm ơn bạn đã đặt hàng tại Pizza 365 !</h3>
                  </div>
                  <div class="form-group text-center">
                    <label>Mã đơn hàng
                      <input type="text" id="inp-ordercode"></button>
                  </div>
                </div>
              </div>
              <div class="modal-footer">
                  <button type="button" id="btn-modal-ok" class="btn btn-warning">Trở về </button>
              </div>
          </div>
      </div>
  </div>


  </body>

<script>
  "use strict";
  /***REGION 1:***/
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";
  var gSelectedMenuStructure = "";//khai bao global
  var gSelectedType = "";          //khai bao global
  var gPercentDiscount = 0;
  var gOrderRequest="";
  // các loại pizza
  const gPIZZA_TYPE_OCEAN = "Ocean";
  const gPIZZA_TYPE_HAWAII = "Hawaii";
  const gPIZZA_TYPE_BACON = "Bacon";
  /***REGION 2:***/
  $(document).ready(function () {
    onPageLoading();
    $("#btn-small").on("click", function () {
      onBtnSizeSmallClick();
    }); $("#btn-medium").on("click", function () {
      onBtnSizeMediumClick();
    });
    $("#btn-large").on("click", function () {
      onBtnSizeLargeClick();
    });
    $("#btn-ocean").on("click", function () {
      onBtnOceanClick();
    });
    $("#btn-hawaii").on("click", function () {
      onBtnHawaiiClick();
    });
    $("#btn-bacon").on("click", function () {
      onBtnBaconClick();
    });
    $("#btn-makeOrder").on("click", function () {
      onBtnGuiClick();
    });
    $("#btn-taoDon").on("click", function(){
      onBtnTaoDonClick();
    });
    $("#btn-quayLai").on("click", function (){
      $("#customer-modal").modal("hide");
    });
    $("#btn-modal-ok").on("click", function(){
      $("#modal-order-code").modal("hide");
    });
    
    /***REGION 3:***/
    function onPageLoading() {
      console.log("tải trang...");
      getDrinksList();
      getToDayPromotion();
    }
    function getToDayPromotion(){
      $.ajax({
        url: "http://localhost:8080/campaigns/promotion",
        type: "GET",
        
        success: function (resPromotion) {

          console.log(resPromotion);
          // gọi hàm load đổ dữ liệu vào web
          $("#p-promotion").html(resPromotion);
        },
        error: function (error) {
          console.assert(error.responseText);
        }
      });
    }
    function onBtnSizeSmallClick() {
      "use strict";
      // gọi hàm đổi màu nút
      // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
      // data-is-selected-menu của nút Small là Y, các nút khác là N
      changeComboButtonColor(gCOMBO_SMALL);
      //tạo một đối tượng menu, được tham số hóa
      gSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
      // // gọi method hiển thị thông tin
      console.log(gSelectedMenuStructure);
      gSelectedMenuStructure.displayInConsoleLog();
    }
    function onBtnSizeMediumClick() {
      changeComboButtonColor(gCOMBO_MEDIUM);
      gSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
      console.log(gSelectedMenuStructure);
      // gọi method hiển thị thông tin
      gSelectedMenuStructure.displayInConsoleLog();
    }
    function onBtnSizeLargeClick() {
      changeComboButtonColor(gCOMBO_LARGE);
      gSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
      console.log(gSelectedMenuStructure);
      // gọi method hiển thị thông tin
      gSelectedMenuStructure.displayInConsoleLog();
    }
    function onBtnOceanClick() {
      changeTypeBtnColor(gPIZZA_TYPE_OCEAN);
      console.log("Your Choose:" + gPIZZA_TYPE_OCEAN);
      gSelectedType = gPIZZA_TYPE_OCEAN;
    }
    function onBtnHawaiiClick() {
      changeTypeBtnColor(gPIZZA_TYPE_HAWAII);
      console.log("Your Choose:" + gPIZZA_TYPE_HAWAII);
      gSelectedType = gPIZZA_TYPE_HAWAII;
    }
    function onBtnBaconClick() {
      changeTypeBtnColor(gPIZZA_TYPE_BACON);
      console.log("Your Choose:" + gPIZZA_TYPE_BACON);
      gSelectedType = gPIZZA_TYPE_BACON;
    }

    function onBtnGuiClick() {

      var vVoucherObj = getVoucherByAPI($("#inp-voucher").val());


      //       if ($("#inp-voucher").val() != "" && vVoucherObj != null) {

      //         gPercentDiscount = vVoucherObj.phanTramGiamGia;
      //         console.log("ABC "+ gPercentDiscount);
      // }
      // var vOrder=getOrder();
      // loadOrderToModal(vOrder);
    }
    function onBtnTaoDonClick(){
     
      console.log(gOrderRequest);
      callApiToCreateOrder(gOrderRequest);
    }
    /***REGION 4:***/
    function changeComboButtonColor(paramPlan) {
      if (paramPlan == gCOMBO_SMALL) {
        $('#btn-small').attr('class', 'btn btn-success w-100');
        $('#btn-medium').attr('class', 'btn btn-warning w-100');
        $('#btn-large').attr('class', 'btn btn-warning w-100');

        $('#btn-small').attr('data-is-selected-menu', 'Y');
        $('#btn-medium').attr('data-is-selected-menu', 'N');
        $('#btn-large').attr('data-is-selected-menu', 'N');
      }
      else if (paramPlan == gCOMBO_MEDIUM) {
        $('#btn-small').attr('class', 'btn btn-warning w-100');
        $('#btn-medium').attr('class', 'btn btn-success w-100');
        $('#btn-large').attr('class', 'btn btn-warning w-100');

        $('#btn-small').attr('data-is-selected-menu', 'N');
        $('#btn-medium').attr('data-is-selected-menu', 'Y');
        $('#btn-large').attr('data-is-selected-menu', 'N');
      }
      else if (paramPlan == gCOMBO_LARGE) {
        $('#btn-small').attr('class', 'btn btn-warning w-100');
        $('#btn-medium').attr('class', 'btn btn-warning w-100');
        $('#btn-large').attr('class', 'btn btn-success w-100');

        $('#btn-small').attr('data-is-selected-menu', 'N');
        $('#btn-medium').attr('data-is-selected-menu', 'N');
        $('#btn-large').attr('data-is-selected-menu', 'Y');
      }
    }
    function getComboSelected(
      paramMenuName,
      paramDuongKinh,
      paramSuon,
      paramSalad,
      paramDrink,
      paramPriceVND
    ) {
      var vSelectedMenu = {
        menuName: paramMenuName, // S, M, L
        duongKinh: paramDuongKinh,
        suon: paramSuon,
        salad: paramSalad,
        drink: paramDrink,
        priceVND: paramPriceVND,
        displayInConsoleLog() {
          console.log("%cPLAN MENU COMBO - .........", "color:blue");
          console.log(this.menuName); //this = "đối tượng này"
          console.log("duongKinhCM: " + this.duongKinh);
          console.log("suonNuong: " + this.suon);
          console.log("saladGr: " + this.salad);
          console.log("drink:" + this.drink);
          console.log("priceVND: " + this.priceVND);
        },
      };
      return vSelectedMenu;

    }
    function changeTypeBtnColor(paramType) {
      if (paramType == gPIZZA_TYPE_OCEAN) {
        $("#btn-ocean").attr('class', 'btn btn-success w-100');
        $("#btn-ocean").attr('data-is-selected-pizza', "Y");
        $("#btn-hawaii").attr('class', 'btn btn-warning w-100');
        $("#btn-hawaii").attr('data-is-selected-pizza', "N");
        $("#btn-bacon").attr('class', 'btn btn-warning w-100');
        $("#btn-bacon").attr('data-is-selected-pizza', "N");
      }
      else if (paramType == gPIZZA_TYPE_HAWAII) {
        $("#btn-ocean").attr('class', 'btn btn-warning w-100');
        $("#btn-ocean").attr('data-is-selected-pizza', "N");
        $("#btn-hawaii").attr('class', 'btn btn-success w-100');
        $("#btn-hawaii").attr('data-is-selected-pizza', "Y");
        $("#btn-bacon").attr('class', 'btn btn-warning w-100');
        $("#btn-bacon").attr('data-is-selected-pizza', "N");
      }
      else if (paramType == gPIZZA_TYPE_BACON) {
        $("#btn-ocean").attr('class', 'btn btn-warning w-100');
        $("#btn-ocean").attr('data-is-selected-pizza', "N");
        $("#btn-hawaii").attr('class', 'btn btn-warning w-100');
        $("#btn-hawaii").attr('data-is-selected-pizza', "N");
        $("#btn-bacon").attr('class', 'btn btn-success w-100');
        $("#btn-bacon").attr('data-is-selected-pizza', "Y");
      }
    }
    function getDrinksList() {
      $.ajax({
        url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
        type: "GET",
        dataType: 'json',
        success: function (resDrinks) {

          console.log(resDrinks);
          // gọi hàm load đổ dữ liệu vào web
          handleDrinksList(resDrinks);
        },
        error: function (error) {
          console.assert(error.responseText);
        }
      });
    }
    function handleDrinksList(paramDrinksList) {
      $.each(paramDrinksList, function (i, item) {
        $("#select-idLoaiNuocUong").append($(`<option>`, {
          text: item.tenNuocUong,
          value: item.maNuocUong,
        }));
      });
    }
    function callApiToCreateOrder(paramOrderObj){
      $.ajax({
			url: "http://203.171.20.210:8080/devcamp-pizza365/orders/",
			type: "POST",
      contentType: "application/json",
			data: JSON.stringify(paramOrderObj),
			success: function(res) {
				console.log(res);
        $("#customer-modal").modal("hide");
        $("#modal-order-code").modal("show");
        $("#inp-ordercode").val(res.orderCode);
      //window.location.href="InsertToTable.html";
			},
			error: function(ajaxContext) {
				alert(ajaxContext.responseText);
			},
		});	
    }
    function getOrder() {
      "use strict";
      console.log(gSelectedMenuStructure);
      console.log(gSelectedType);
      // if($("#btn-ocean").attr("data-is-selected-pizza")=="Y"){
      //   console.log("Bạn đã chọn Pizza Ocean");
      //   console.log(gSelectedMenuStructure);
      // }
      // else if($("#btn-hawaii").attr("data-is-selected-pizza")=="Y"){
      //   console.log("Bạn đã chọn Pizza Hawaii");
      // }
      // else if($("#btn-bacon").attr("data-is-selected-pizza")=="Y"){
      //   console.log("Bạn đã chọn Pizza Bacon");
      // }


      // if ($("#inp-voucher").val() != "" && vVoucherObj != null) {

      //   gPercentDiscount = vVoucherObj.phanTramGiamGia;
      // } 
      var vOrderInfo = {
        menuCombo: gSelectedMenuStructure,
        kichCo: gSelectedMenuStructure.menuName,
        duongKinh: gSelectedMenuStructure.duongKinh,
        salad: gSelectedMenuStructure.salad,
        suon: gSelectedMenuStructure.suon,
        loaiPizza: gSelectedType,
        idLoaiNuocUong: $("#select-drink option:selected").text(),
        soLuongNuoc: gSelectedMenuStructure.drink,
        hoTen: $("#inp-name").val().trim(),
        email: $("#inp-email").val().trim(),
        soDienThoai: $("#inp-phone").val().trim(),
        diaChi: $("#inp-address").val(),
        loiNhan: $("#inp-message").val(),
        idVoucher: $("#inp-voucher").val(),
        giamGia: gPercentDiscount,
        thanhTien: gSelectedMenuStructure.priceVND,
        // thanhTien: function () {
        //   var vTotal = this.menuCombo.priceVND * (1 - this.giamGia / 100);
        //   return vTotal;
        // }
      };
      gOrderRequest={
        kichCo: gSelectedMenuStructure.menuName,
        duongKinh: gSelectedMenuStructure.duongKinh,
        salad: gSelectedMenuStructure.salad,
        suon: gSelectedMenuStructure.suon,
        loaiPizza: gSelectedType,
        idLoaiNuocUong: $("#select-drink option:selected").text(),
        soLuongNuoc: gSelectedMenuStructure.drink,
        hoTen: $("#inp-name").val().trim(),
        email: $("#inp-email").val().trim(),
        soDienThoai: $("#inp-phone").val().trim(),
        diaChi: $("#inp-address").val(),
        loiNhan: $("#inp-message").val(),
        idVoucher: $("#inp-voucher").val(),
        thanhTien: gSelectedMenuStructure.priceVND,
        // thanhTien: function () {
      }
      
      console.log(vOrderInfo);
      return vOrderInfo;
    }
    function getVoucherByAPI(paramInpVoucher) {
      $.ajax({
        url: "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/" + paramInpVoucher,
        type: "GET",
        dataType: 'json',
        success: function (resVoucherObj) {

          console.log(resVoucherObj);
          gPercentDiscount = resVoucherObj.phanTramGiamGia;
          console.log(gPercentDiscount);
          var vOrder = getOrder();
          var isCheck = validateData(vOrder);
          if (isCheck) {
            $("#customer-modal").modal("show");
            loadOrderToModal(vOrder);
          }
        },
        error: function (error) {
          console.log("Mã giảm giá khong tồn tại hoặc hết hạn");
          // $("#customer-modal").modal("show");
          gPercentDiscount=0;
          var vOrder = getOrder();
          var isCheck = validateData(vOrder);
          if (isCheck) {
            $("#customer-modal").modal("show");
            loadOrderToModal(vOrder);
          }
        }
      });
      var vOrder = getOrder();
          var isCheck = validateData(vOrder);
          if (isCheck) {
            $("#customer-modal").modal("show");
            loadOrderToModal(vOrder);
          }
    }
    function loadOrderToModal(paramOrder) {
      var vThanhToan = paramOrder.thanhTien * (1 - gPercentDiscount / 100);
      $("#inp-name-modal").val(paramOrder.hoTen);
      $("#inp-phone-modal").val(paramOrder.soDienThoai);
      $("#inp-address-modal").val(paramOrder.diaChi);
      $("#inp-message-modal").val(paramOrder.loiNhan);
      $("#inp-voucher-modal").val(paramOrder.idVoucher);
      var vThongTinDon = "Xác nhận: " + paramOrder.hoTen + ", " + paramOrder.soDienThoai + ", " + paramOrder.diaChi + "<br>"
        + "Menu: " + paramOrder.kichCo + ", Sườn: " + paramOrder.suon + ", Nước" + paramOrder.soLuongNuoc + "<br>"
        + "Loại Pizza: " + paramOrder.loaiPizza + ", Giá: " + paramOrder.thanhTien + ", Mã giảm giá: " + paramOrder.idVoucher + "<br>"
        + "Phải thanh toán: " + vThanhToan + "(Giảm giá: '" + gPercentDiscount + "%)";
      $("#inp-detail-modal").html(vThongTinDon);
      //   "Xác nhận: "+paramOrder.hoTen+", "+paramOrder.soDienThoai+", "+paramOrder.diaChi+ "<br>"
      //   + "Menu: "+paramOrder.menuCombo+", "+paramOrder.suon+", "+paramOrder.soLuongNuoc+`"
      // );
    }
    function validateData(paramOrder) {
      if (paramOrder.menuCombo == "") {
        alert("Please choose Menu Compo");
        return false;
      }
      else if (paramOrder.loaiPizza == "") {
        alert("Please choose Type Pizza");
        return false;
      }
      else if (paramOrder.idLoaiNuocUong == "-- Chọn đồ uống --") {
        alert("Please choose Type Drinks");
        return false;
      }
      else if (paramOrder.hoTen == "") {
        alert("Nhập Tên chưa đúng");
        return false;
      }
      else if (paramOrder.soDienThoai == "") {
        alert("Nhập SĐT chưa đúng");
        return false;
      }
      else if (isNaN(paramOrder.soDienThoai)) {
        alert("Nhập SĐT chưa đúng");
        return false;
      }
      else if (paramOrder.soDienThoai <0) {
        alert("Nhập SĐT chưa đúng");
        return false;
      }
      //tương tự cho mấy cái khác
      return true;
    }

  });
</script>

</html>